org.apache.tinkerpop.gremlin.process.traversal

## Class Bindings

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.Bindings

-     public final class Bindings
      extends Object

  Bindings are used to associate a variable with a value. They enable the creation of `Bytecode.Binding` arguments in `Bytecode`. Use the Bindings instance when defining a binding via `of(String, Object)`. For instance:

  `b = Bindings.instance() g = graph.traversal() g.V().out(b.of("a","knows")) // bindings can be reused over and over g.V().out("knows").in(b.of("a","created"))`

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bindings()` Deprecated. As of release 3.2.4, replaced by `instance()`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static void` | `clear()`
    `protected static <V> String` | `getBoundVariable(V value)`
    `static Bindings` | `instance()`
    `<V> V` | `of(String variable, V value)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Bindings

          @Deprecated
          public Bindings()

      Deprecated. As of release 3.2.4, replaced by `instance()`.

  - ### Method Detail

    - #### of

          public <V> V of(String variable,
                          V value)

    - #### getBoundVariable

          protected static <V> String getBoundVariable(V value)

    - #### clear

          protected static void clear()

    - #### instance

          public static Bindings instance()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.